﻿Type=StaticCode
Version=2.2
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Private rdb As Form
	Private WebView1 As WebView
	Private blobColumns As Map
	
	Private TableView1 As TableView
	Private lblFileName As Label
	Private lblTableName As Label
End Sub

Sub start
	rdb.Initialize(Null,-1,-1)
	rdb.Title = "Table Activity"
	rdb.RootPane.LoadLayout("Table")
	rdb.show
	
'	blobColumns.Initialize
	
	Select Main.sViewMode
		Case "S"
			DBUtils.ExecuteTableView(Main.SQL1, "SELECT * FROM Samples", Null, 0, TableView1)
			'rename Spectra (BLOB) field values
			For Each row() As Object In TableView1.Items
				row(22) = "(data)"
			Next
			
			lblFileName.Text = "Filename: " & Main.sFileNameS
			lblTableName.Text = "Table: Samples"
			
'			Do While Main.CursorS.NextRow
'		'		If cur.GetString("Key") = "ColWidth0" Then tableviewContacts.SetColumnWidth(0,cur.GetString("KeyValue")) 
'		'		If cur.GetString("Key") = "ColWidth1" Then tableviewContacts.SetColumnWidth(1,cur.GetString("KeyValue")) 
'			Loop
		
		
		Case "FD"
		
		    Dim RList As List
		    RList.Initialize
		    RList.Add("IDFD")
		    RList.Add("DevType")
		    RList.Add("Event")
		    RList.Add("EventID")
		    RList.Add("Lat")
		    RList.Add("Lon")
		    RList.Add("Alt")
		    RList.Add("Time.")
		    RList.Add("Units")
		    RList.Add("Value")
		    RList.Add("Type")
		    RList.Add("DevVer")
		    RList.Add("FirmVer")
		    RList.Add("S/N")
		    RList.Add("User")
			TableView1.SetColumns(RList)

			TableView1.SetColumnVisible(0, False) 	'IDFD
			TableView1.SetColumnWidth(1, 60.0)		'DevType
			TableView1.SetColumnWidth(2, 80.0)		'EventDescrip
			TableView1.SetColumnWidth(3, 60.0)		'EventID
			TableView1.SetColumnWidth(4, 70.0)		'Lat
			TableView1.SetColumnWidth(5, 70.0)		'Lon
'			TableView1.SetColumnWidth(6, 70)		'Alt
			TableView1.SetColumnVisible(6, False) 	'Alt
			TableView1.SetColumnWidth(7, 90.0)		'DateTime
			TableView1.SetColumnWidth(8, 50.0)		'Unit
			TableView1.SetColumnWidth(9, 70.0)		'RadValue
			TableView1.SetColumnWidth(10, 60.0)		'RadType
			TableView1.SetColumnWidth(11, 40.0)		'DevVer
			TableView1.SetColumnWidth(12, 40.0)		'FirmVer
			TableView1.SetColumnWidth(13, 40.0)		'SerialNum
			TableView1.SetColumnWidth(14, 40.0)		'UserID

			DBUtils.LoadTableView(Main.SQL2, "SELECT * FROM FieldData", Null, 0, TableView1)
				
			lblFileName.Text =  "Filename: " & Main.sFileNameFD
			lblTableName.Text = "Table: FieldData"
			
	End Select
	
End Sub

Sub rdb_CloseRequest (EventData As Event)
Log("rdb_CloseRequest fired")	
	rdb.Close
End Sub

Sub TableView1_Resize (Width As Double, Height As Double)
	For i = 0 To TableView1.ColumnsCount - 1
		TableView1.SetColumnWidth(i, (Width - 10dip)/ TableView1.ColumnsCount)
	Next
End Sub

'TableView1.Items.Clear

'' Resize TableView
'' Take Vertical Scroll width off Width and divide remainder by 100%
'' being the total width of the Columns
'Sub MyTV_Resize (Width As Double, Height As Double)
'    Dim wd As Double
''    Log(Width)
'    ' Adjust = 4, scroll = 14
'    wd = (Width - 18) / 100.00
'    ' Work Percentage Column Width
'    MyTV.SetColumnWidth(0, wd * 24.73498)    ' Venue  (24.73498)
'    MyTV.SetColumnWidth(1, wd *  8.83392)    ' Code
'    MyTV.SetColumnWidth(2, wd *  7.06713)    ' RNO
'    MyTV.SetColumnWidth(3, wd * 10.60070)    ' Aband
'    MyTV.SetColumnWidth(4, wd *  9.71731)    ' Going
'    MyTV.SetColumnWidth(5, wd * 10.60070)    ' Distance
'    MyTV.SetColumnWidth(6, wd * 14.31095)    ' Time
'    MyTV.SetColumnWidth(7, wd * 14.13427)    ' Status
'    ' Percentages total to approx. 100.00
'End Sub

'Code Used To fill the TableView:
'Public Sub LoadEndBetsTable(SQL As SQL, Query As String, StringArgs() As String, Limit As Int, _
'    TableView1 As TableView)
'
'    TableView1.Items.Clear
'
'    Dim cur As ResultSet
'    If StringArgs = Null Then
'        Dim StringArgs(0) As String
'    End If
'    cur = SQL.ExecQuery2(Query, StringArgs)
'   
'    Do While cur.NextRow
'        Dim values(cur.ColumnCount) As Object
'        For col = 0 To cur.ColumnCount - 1
'            Select col
'                Case 0
'                    values(col) = cur.GetString2(col)
'                Case 1, 3
'                    Dim lbl As Label
'                    lbl.Initialize("")
'                    lbl.PrefWidth = TableView1.GetColumnWidth(col)
'                    lbl.Style = "-fx-font-family: Tahoma; -fx-font-size: 14px;"        ' Left-align
'                    lbl.Text = cur.GetString2(col)
'                    values(col) = lbl
'                Case 2, 4, 5, 6, 8, 9, 10, 11, 12
'                    Dim lbl As Label
'                    lbl.Initialize("")
'                    lbl.PrefWidth = TableView1.GetColumnWidth(col)
'                    lbl.Style = "-fx-font-family: Tahoma; -fx-font-size: 14px; -fx-alignment: CENTER;"    ' Center
'                    lbl.Text = cur.GetString2(col)
'                    values(col) = lbl
'                Case 7
'                    Dim lbl As Label
'                    lbl.Initialize("")
'                    lbl.PrefWidth = TableView1.GetColumnWidth(col)
'                    lbl.Style = "-fx-font-family: Tahoma; -fx-font-size: 14px; -fx-font-weight: bold; -fx-alignment: CENTER;"    ' Center
'                    lbl.Text = cur.GetString2(col)
'                    values(col) = lbl
'            End Select
'        Next
'        TableView1.Items.Add(values)
'        If Limit > 0 AND TableView1.Items.Size >= Limit Then Exit
'    Loop
'    cur.Close   
'End Sub
 
'Dim countofrow As Long =sqlconnect.ExecQuerySingleResult("select count(RowID) from tablename")
